### Method

# Notify Notification set_hint

since: 0.6

#### Declaration [src]

    void
    notify_notification_set_hint (
      NotifyNotification* notification,
      const char* key,
      GVariant* value
    )

#### Description [src]

Sets a hint for `key` with value `value`.

If `value` is `NULL`, a previously set hint for `key` is unset.

If `value` is floating, it is consumed.

Available since: 0.6

#### Parameters

`key`

  Type: `const char*`

  The hint key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The hint value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.